Package org.eclipse.mat.ui.editor

## Class CompositeHeapEditorPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.editor.CompositeHeapEditorPane

All Implemented Interfaces:
  `IAdaptable`, `ISelectionChangedListener`, `ISelectionProvider`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

Direct Known Subclasses:
  `OQLPane`

    public abstract class CompositeHeapEditorPane
    extends AbstractEditorPane
    implements ISelectionProvider, ISelectionChangedListener

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
`CompositeHeapEditorPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener​(ISelectionChangedListener listener)`
`void` `closePage​(PaneState state)`
`void` `contributeToToolBar​(IToolBarManager manager)`
`<T> T` `getAdapter​(Class<T> adapter)`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener​(ISelectionChangedListener listener)`
`void` `selectionChanged​(SelectionChangedEvent event)`
`void` `setSelection​(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleImage, getTitleToolTip, init, initWithArgument, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`createPartControl, getTitle`

### Constructor Detail

#### CompositeHeapEditorPane

    public CompositeHeapEditorPane()

### Method Detail

#### closePage

    public void closePage​(PaneState state)

#### addSelectionChangedListener

    public void addSelectionChangedListener​(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener​(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### setSelection

    public void setSelection​(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### selectionChanged

    public void selectionChanged​(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `AbstractEditorPane`

#### contributeToToolBar

    public void contributeToToolBar​(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`